AbstractModule
Keywords: uk.ac.ic.doc.automed.matching.modules.AbstractModule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.modules
Class AbstractModule

    java.lang.Object
      uk.ac.ic.doc.automed.matching.modules.AbstractModule

Direct Known Subclasses:
  AttributeJaccardExistenceModule, AttributeJaccardNameModule, AttributePrecisionModule, CheckExistenceModule, CheckExistenceModule, CheckExistenceModule, CheckExistenceModule, DataTypeModule, DataTypeModule, DataTypeModule, DataTypeModule, ElementNameModule, ElementNameModule, ElementNameModule, ElementNameModule, JaccardAtomicExistenceModule, JaccardExistenceModule, JaccardExistenceModule, JaccardExistenceModule, JaccardNameModule, JaccardNameModule, JaccardNameModule, JaroAtomicExistenceModule, JaroAtomicExistenceModule, JaroExistenceModule, JaroExistenceModule, JaroExistenceModule, NaiveBayesModule, NumberInstancesModule, NumberInstancesModule, NumberInstancesModule, PrecisionModule, PrecisionModule, PrecisionModule, PrecisionModule, StatisticsModule, StatisticsModule, StatisticsModule, StatisticsModule

    public abstract class AbstractModule

extends java.lang.Object

The AbstractModule class represents an abstract schema matching module. A schema mathing module can compare `SchemaElement` objects and produce bidirectional degrees for each pair of schema elements. The module stores `SchemaElementPair` objects and their associated `SimilarSchemaElementPair` objects.

See Also:
  `SchemaElement`, `BidirectionalDegree`, `SimilarSchemaElementPair`

Field Summary
`protected java.util.Hashtable` | `bidirectionalDegrees` The `Hashtable` storing the bidirectional degrees.
`static it.unibo.cs.belief.Frame` | `frame`
`static java.lang.String[]` | `semanticMappingNames`

Constructor Summary
`AbstractModule()`

Method Summary
`SimilarSchemaElementPair[]` | `getBidirectionalDegrees()` Returns an array of `SimilarSchemaElementPair` objects which define the bidirectional degrees between the pairs of schema elements.
`static java.util.Hashtable` | `getBidirectionalDegrees(java.util.Hashtable forward, java.util.Hashtable backward)` Returns a `Hashtable` of the bidirectional degrees.
`SimilarSchemaElementPair` | `getBidirectionalSimilarity(SchemaElementPair p)` Returns a `SimilarSchemaElementPair` object which defines the bidirectional degrees for the specified `SchemaElementPair`
`UncertainSchemaElementPair[]` | `getUSRs()`
`void` | `saveDegrees(java.lang.String filename)`
`void` | `setBidirectionalDegrees(java.util.Hashtable forward, java.util.Hashtable backward)` Sets the bidirectional degrees of the module.
`void` | `setUSRs(UncertainSchemaElementPair[] usrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### semanticMappingNames

    public static final java.lang.String[] semanticMappingNames

### frame

    public static final it.unibo.cs.belief.Frame frame

### bidirectionalDegrees

    protected java.util.Hashtable bidirectionalDegrees

  The `Hashtable` storing the bidirectional degrees. The keys of the hash table are objects of class `SchemaElementPair` and the values are objects of class `SimilarSchemaElementPair`

Constructor Detail

### AbstractModule

    public AbstractModule()

Method Detail

### setUSRs

    public void setUSRs(UncertainSchemaElementPair[] usrs)

### getUSRs

    public UncertainSchemaElementPair[] getUSRs()

### setBidirectionalDegrees

    public void setBidirectionalDegrees(java.util.Hashtable forward,
                                        java.util.Hashtable backward)

  Sets the bidirectional degrees of the module. The arguments are hash tables with the forward and backward similarity degrees. The hash tables associate `SchemaElementPair` objects to `SimilarSchemaElementPair` objects.

  Parameters:
    `forward` - the forward similarity degrees
    `backward` - the backward similarity degrees

### getBidirectionalDegrees

    public static java.util.Hashtable getBidirectionalDegrees(java.util.Hashtable forward,
                                                              java.util.Hashtable backward)

  Returns a `Hashtable` of the bidirectional degrees. The hash table has keys `SchemaElementPair` objects which are associated with `SimilarSchemaElementPair` objects, which provide the bidirectional degrees.

  Returns:
    a `Hashtable` of the bidirectional degrees

### getBidirectionalDegrees

    public SimilarSchemaElementPair[] getBidirectionalDegrees()

  Returns an array of `SimilarSchemaElementPair` objects which define the bidirectional degrees between the pairs of schema elements.

  Returns:
    an array of `SimilarSchemaElementPair` object with the bidirectional degrees of schema elements

### getBidirectionalSimilarity

    public SimilarSchemaElementPair getBidirectionalSimilarity(SchemaElementPair p)

  Returns a `SimilarSchemaElementPair` object which defines the bidirectional degrees for the specified `SchemaElementPair`

  Parameters:
    `p` - the schema element pair whose bidirectional degrees are returned
  Returns:
    a `SimilarSchemaElementPair` object with the bidirectional degrees of the `SchemaElementPair`

### saveDegrees

    public void saveDegrees(java.lang.String filename)
                     throws UninstantiatedException,
                            java.io.IOException

  Throws:
    `UninstantiatedException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD